Index: orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc
===================================================================
--- orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 4571)
+++ orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 4572)
@@ -23,4 +23,18 @@
 
 #include <math.h>
+
+
+#define WANT_STREAM
+#define WANT_MATH
+#define WANT_FSTREAM
+
+
+#include "include.h"
+#include "newmat.h"
+#include "newmatap.h"
+#include "newmatio.h"
+
+
+
 
 using namespace std;
@@ -152,4 +166,31 @@
      vectors
   */
+    
+  SymmetricMatrix C(3);
+  
+  C(1,1) = 1;
+  C(1,2) = 4;
+  C(1,3) = 4;
+  C(2,1) = 4;  
+  C(2,2) = 2;
+  C(2,3) = 4;
+  C(3,1) = 4;
+  C(3,2) = 4;
+  C(3,3) = 3;
+  
+  // cout << "The symmetrix matrix C" << endl;
+  //cout << setw(5) << setprecision(0) << C << endl;
+
+  Matrix		V(3,3); // for eigenvectors
+  DiagonalMatrix	D(3);   // for eigenvalues
+  
+  // the decomposition
+  Jacobi(C, D, V);
+
+
+  // Print the result
+ /* cout << "The eigenvalues matrix:" << endl;
+  cout << setw(10) << setprecision(5) << D << endl;
+  cout << "The eigenvectors matrix:" << endl;*/
   
 
Index: orxonox/trunk/src/lib/newmat/Makefile
===================================================================
--- orxonox/trunk/src/lib/newmat/Makefile	(revision 4571)
+++ orxonox/trunk/src/lib/newmat/Makefile	(revision 4572)
@@ -26,5 +26,5 @@
 top_builddir = ../../..
 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
-INSTALL = /usr/bin/install -c
+INSTALL = /bin/install -c
 install_sh_DATA = $(install_sh) -c -m 644
 install_sh_PROGRAM = $(install_sh) -c
@@ -107,11 +107,11 @@
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/bensch/svn/orxonox/trunk/missing --run aclocal-1.8
+ACLOCAL = ${SHELL} /home/boenzlip/orxonox/repos/trunk/missing --run aclocal-1.8
 AMDEP_FALSE = #
 AMDEP_TRUE = 
-AMTAR = ${SHELL} /home/bensch/svn/orxonox/trunk/missing --run tar
-AUTOCONF = ${SHELL} /home/bensch/svn/orxonox/trunk/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/bensch/svn/orxonox/trunk/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/bensch/svn/orxonox/trunk/missing --run automake-1.8
+AMTAR = ${SHELL} /home/boenzlip/orxonox/repos/trunk/missing --run tar
+AUTOCONF = ${SHELL} /home/boenzlip/orxonox/repos/trunk/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/boenzlip/orxonox/repos/trunk/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/boenzlip/orxonox/repos/trunk/missing --run automake-1.8
 AWK = gawk
 CC = gcc
@@ -121,5 +121,5 @@
 CPPFLAGS = -I/usr/X11R6/include -I/usr/include/SDL
 CURL_CFLAGS = 
-CURL_LIBS = -L/usr/lib -lcurl -lidn -lssl -lcrypto -ldl -lssl -lcrypto -ldl -lz
+CURL_LIBS = 
 CXX = g++
 CXXDEPMODE = depmode=gcc3
@@ -141,7 +141,7 @@
 GPROF = /usr/bin/gprof
 GTK2_CFLAGS = -DXTHREADS -D_REENTRANT -DXUSE_MTSAFE_API -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/freetype2/config -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
-GTK2_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
-HAVE_CURL_FALSE = #
-HAVE_CURL_TRUE = 
+GTK2_LIBS = -Wl,--export-dynamic -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
+HAVE_CURL_FALSE = 
+HAVE_CURL_TRUE = #
 HAVE_GTK2_FALSE = #
 HAVE_GTK2_TRUE = 
@@ -154,5 +154,5 @@
 LIBS = -lm  -lGL -lGLU -lSDL -lopenal -logg -lvorbis -lvorbisfile -lSDL_ttf -lSDL_image
 LTLIBOBJS = 
-MAKEINFO = ${SHELL} /home/bensch/svn/orxonox/trunk/missing --run makeinfo
+MAKEINFO = ${SHELL} /home/boenzlip/orxonox/repos/trunk/missing --run makeinfo
 MSBITFIELDS = 
 OBJEXT = o
@@ -198,5 +198,5 @@
 includedir = ${prefix}/include
 infodir = ${prefix}/info
-install_sh = /home/bensch/svn/orxonox/trunk/install-sh
+install_sh = /home/boenzlip/orxonox/repos/trunk/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec