Index: data/trunk/levels/sp_cutscene_intro.oxw
===================================================================
--- data/trunk/levels/sp_cutscene_intro.oxw	(revision 4574)
+++ data/trunk/levels/sp_cutscene_intro.oxw	(revision 4575)
@@ -30,6 +30,25 @@
           <name>bomberOne</name>
           <model>models/spaceships/human_spaceship_bomber.obj,1.2</model>
-          <abs-coor>-480, 20, -70 </abs-coor>
+          <abs-coor>-480, 5, -70 </abs-coor>
           <abs-dir> 0,0,1,0 </abs-dir>
+          <Track>
+            <mode>1</mode>
+            <speed>0.5</speed>
+             <addPoint>-480,5,-70</addPoint>
+             <addPoint>1000,5,-70</addPoint>
+          </Track>
+        </NPC>
+
+        <NPC>
+          <name>fighterOne</name>
+          <model>models/spaceships/human_spaceship_fighter.obj,0.5</model>
+          <abs-coor>-430, 5, -70 </abs-coor>
+          <abs-dir> 0,0,1,0 </abs-dir>
+          <Track>
+            <mode>1</mode>
+            <speed>0.5</speed>
+             <addPoint>-430,5,-70</addPoint>
+             <addPoint>1000,5,-70</addPoint>
+          </Track>
         </NPC>
 
@@ -39,12 +58,12 @@
           <abs-coor>-490, -10, -60 </abs-coor>
           <abs-dir> 0,0,1,0 </abs-dir>
+          <Track>
+            <mode>1</mode>
+            <speed>0.5</speed>
+             <addPoint>-490,-10,-60</addPoint>
+             <addPoint>1000,-10,-60</addPoint>
+          </Track>
         </NPC>
-
-        <NPC>
-          <name>fighterOne</name>
-          <model>models/spaceships/human_spaceship_fighter.obj,0.5</model>
-          <abs-coor>-430, 15, -70 </abs-coor>
-          <abs-dir> 0,0,1,0 </abs-dir>
-        </NPC>
+        
 
         <NPC>
@@ -53,4 +72,10 @@
           <abs-coor>-430, -10, -60 </abs-coor>
           <abs-dir> 0,0,1,0 </abs-dir>
+          <Track>
+            <mode>1</mode>
+            <speed>0.5</speed>
+             <addPoint>-430,-10,-60</addPoint>
+             <addPoint>1000,-10,-60</addPoint>
+          </Track>
         </NPC>
 
@@ -61,4 +86,5 @@
 	    <abs-coor>-75, 0, 400</abs-coor>
 	    <texture>textures/planets/mars.png</texture>
+	    <cloud-texture>textures/planets/halo.png</cloud-texture>
 	  </Planet>
 
Index: data/trunk/scripts/cutscene/cutscene.lua
===================================================================
--- data/trunk/scripts/cutscene/cutscene.lua	(revision 4574)
+++ data/trunk/scripts/cutscene/cutscene.lua	(revision 4575)
@@ -37,8 +37,4 @@
 thisscript:addObject("CameraMan", "cameraManager")
 thisscript:addObject("NPC", "shutleOne")
-thisscript:addObject("NPC", "fighterOne")
-thisscript:addObject("NPC", "fighterTwo")
-thisscript:addObject("NPC", "bomberOne")
-thisscript:addObject("NPC", "bomberTwo")
 thisscript:addObjectAsName("GameWorld", "Cut Scene", "gameWorld")
 
@@ -50,19 +46,4 @@
 bInit = 0
 bInit2 = 0
-fighterSpeed = 10
-bomberSpeed = 10
-
--- Since the spaceships go along the x direction we only neet to get these once:
-fighterOneY = fighterOne:getAbsCoorY()
-fighterOneZ = fighterOne:getAbsCoorZ()
-
-fighterTwoY = fighterTwo:getAbsCoorY()
-fighterTwoZ = fighterTwo:getAbsCoorZ()
-  
-bomberOneY = bomberOne:getAbsCoorY()
-bomberOneZ = bomberOne:getAbsCoorZ()
-
-bomberTwoY = bomberTwo:getAbsCoorY()
-bomberTwoZ = bomberTwo:getAbsCoorZ()
 
 
@@ -77,33 +58,9 @@
   coorY = shutleOne:getAbsCoorY()
   coorZ = shutleOne:getAbsCoorZ()
-  shutleOne:setAbsCoor(coorX-6.5*timestep,coorY,coorZ)
+  shutleOne:setAbsCoor(coorX-6*timestep,coorY,coorZ)
  end
  end
 
  --}
-
-
--- chaseScene
-chaseScene = { }
---{
-
- function chaseScene:tick(timestep)
-
-
-  fighterOneX = fighterOne:getAbsCoorX()
-  fighterTwoX = fighterTwo:getAbsCoorX()
-  bomberOneX  = bomberOne:getAbsCoorX()
-  bomberTwoX  = bomberTwo:getAbsCoorX()
-  
-  fighterOne:setAbsCoor(fighterOneX + fighterSpeed*timestep,fighterOneY,fighterOneZ)
-  fighterTwo:setAbsCoor(fighterTwoX + fighterSpeed*timestep,fighterTwoY,fighterTwoZ)
-  bomberOne:setAbsCoor(bomberOneX + bomberSpeed*timestep,bomberOneY,bomberOneZ)
-  bomberTwo:setAbsCoor(bomberTwoX + bomberSpeed*timestep,bomberTwoY,bomberTwoZ)
-  
- 
- end
-
- --}
-
 
 
@@ -134,5 +91,4 @@
 
 shutle:tick(timestep)
-chaseScene:tick(timestep)
 
 if bInit == 0 then
@@ -149,5 +105,5 @@
 if not cameraSwitched then
 cameraManager:setCam("CameraOne")
---cameraManager:atachCurrCameraToWorldEntity("NPC", "fighterOne")
+--cameraManager:atachCurrCameraToWorldEntity("NPC", "bomberOne")
 cameraManager:changeCurrTarget("Building", "zhara")
 cameraSwitched = true