Index: /orxonox/trunk/src/subprojects/collision_detection/Makefile.am
===================================================================
--- /orxonox/trunk/src/subprojects/collision_detection/Makefile.am	(revision 4582)
+++ /orxonox/trunk/src/subprojects/collision_detection/Makefile.am	(revision 4583)
@@ -6,4 +6,5 @@
 
 collision_LDADD = $(MAINSRCDIR)/lib/physics/libORXphysics.a \
+                  $(MAINSRCDIR)/lib/graphics/importer/libORXimporter.a \
                   $(MAINSRCDIR)/lib/collision_detection/libORXcd.a \
                   $(MAINSRCDIR)/lib/event/libORXevent.a \
@@ -24,11 +25,4 @@
 		   $(MAINSRCDIR)/util/state.cc \
 		   $(MAINSRCDIR)/world_entities/camera.cc \
-	  	   $(MAINSRCDIR)/lib/graphics/importer/model.cc \
-		   $(MAINSRCDIR)/lib/graphics/importer/objModel.cc \
-		   $(MAINSRCDIR)/lib/graphics/importer/primitive_model.cc \
-	  	   $(MAINSRCDIR)/lib/graphics/importer/array.cc \
-	  	   $(MAINSRCDIR)/lib/graphics/importer/material.cc \
-		   $(MAINSRCDIR)/lib/graphics/importer/texture.cc \
-		   $(MAINSRCDIR)/lib/graphics/importer/md2Model.cc \
 		   $(MAINSRCDIR)/lib/graphics/graphics_engine.cc \
 		   $(MAINSRCDIR)/lib/lang/base_object.cc \
Index: /orxonox/trunk/src/subprojects/collision_detection/Makefile.in
===================================================================
--- /orxonox/trunk/src/subprojects/collision_detection/Makefile.in	(revision 4582)
+++ /orxonox/trunk/src/subprojects/collision_detection/Makefile.in	(revision 4583)
@@ -55,10 +55,5 @@
 	collision-load_param.$(OBJEXT) collision-ini_parser.$(OBJEXT) \
 	collision-light.$(OBJEXT) collision-state.$(OBJEXT) \
-	collision-camera.$(OBJEXT) collision-model.$(OBJEXT) \
-	collision-objModel.$(OBJEXT) \
-	collision-primitive_model.$(OBJEXT) collision-array.$(OBJEXT) \
-	collision-material.$(OBJEXT) collision-texture.$(OBJEXT) \
-	collision-md2Model.$(OBJEXT) \
-	collision-graphics_engine.$(OBJEXT) \
+	collision-camera.$(OBJEXT) collision-graphics_engine.$(OBJEXT) \
 	collision-base_object.$(OBJEXT) collision-vector.$(OBJEXT) \
 	collision-resource_manager.$(OBJEXT) \
@@ -68,4 +63,5 @@
 am__DEPENDENCIES_1 =
 collision_DEPENDENCIES = $(MAINSRCDIR)/lib/physics/libORXphysics.a \
+	$(MAINSRCDIR)/lib/graphics/importer/libORXimporter.a \
 	$(MAINSRCDIR)/lib/collision_detection/libORXcd.a \
 	$(MAINSRCDIR)/lib/event/libORXevent.a \
@@ -77,6 +73,5 @@
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
-@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/collision-array.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/collision-base_object.Po \
+@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/collision-base_object.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/collision-camera.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/collision-collision_detection.Po \
@@ -87,15 +82,9 @@
 @AMDEP_TRUE@	./$(DEPDIR)/collision-light.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/collision-load_param.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/collision-material.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/collision-md2Model.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/collision-model.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/collision-null_parent.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/collision-objModel.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/collision-p_node.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/collision-primitive_model.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/collision-resource_manager.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/collision-state.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/collision-text_engine.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/collision-texture.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/collision-vector.Po
 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
@@ -223,4 +212,5 @@
 MAINSRCDIR = ../..
 collision_LDADD = $(MAINSRCDIR)/lib/physics/libORXphysics.a \
+                  $(MAINSRCDIR)/lib/graphics/importer/libORXimporter.a \
                   $(MAINSRCDIR)/lib/collision_detection/libORXcd.a \
                   $(MAINSRCDIR)/lib/event/libORXevent.a \
@@ -241,11 +231,4 @@
 		   $(MAINSRCDIR)/util/state.cc \
 		   $(MAINSRCDIR)/world_entities/camera.cc \
-	  	   $(MAINSRCDIR)/lib/graphics/importer/model.cc \
-		   $(MAINSRCDIR)/lib/graphics/importer/objModel.cc \
-		   $(MAINSRCDIR)/lib/graphics/importer/primitive_model.cc \
-	  	   $(MAINSRCDIR)/lib/graphics/importer/array.cc \
-	  	   $(MAINSRCDIR)/lib/graphics/importer/material.cc \
-		   $(MAINSRCDIR)/lib/graphics/importer/texture.cc \
-		   $(MAINSRCDIR)/lib/graphics/importer/md2Model.cc \
 		   $(MAINSRCDIR)/lib/graphics/graphics_engine.cc \
 		   $(MAINSRCDIR)/lib/lang/base_object.cc \
@@ -327,5 +310,4 @@
 	-rm -f *.tab.c
 
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-array.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-base_object.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-camera.Po@am__quote@
@@ -337,15 +319,9 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-light.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-load_param.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-material.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-md2Model.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-model.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-null_parent.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-objModel.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-p_node.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-primitive_model.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-resource_manager.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-state.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-text_engine.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-texture.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-vector.Po@am__quote@
 
@@ -477,116 +453,4 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-camera.obj `if test -f '$(MAINSRCDIR)/world_entities/camera.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/world_entities/camera.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/world_entities/camera.cc'; fi`
-
-collision-model.o: $(MAINSRCDIR)/lib/graphics/importer/model.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT collision-model.o -MD -MP -MF "$(DEPDIR)/collision-model.Tpo" -c -o collision-model.o `test -f '$(MAINSRCDIR)/lib/graphics/importer/model.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/importer/model.cc; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/collision-model.Tpo" "$(DEPDIR)/collision-model.Po"; else rm -f "$(DEPDIR)/collision-model.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/importer/model.cc' object='collision-model.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/collision-model.Po' tmpdepfile='$(DEPDIR)/collision-model.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-model.o `test -f '$(MAINSRCDIR)/lib/graphics/importer/model.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/importer/model.cc
-
-collision-model.obj: $(MAINSRCDIR)/lib/graphics/importer/model.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT collision-model.obj -MD -MP -MF "$(DEPDIR)/collision-model.Tpo" -c -o collision-model.obj `if test -f '$(MAINSRCDIR)/lib/graphics/importer/model.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/importer/model.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/importer/model.cc'; fi`; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/collision-model.Tpo" "$(DEPDIR)/collision-model.Po"; else rm -f "$(DEPDIR)/collision-model.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/importer/model.cc' object='collision-model.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/collision-model.Po' tmpdepfile='$(DEPDIR)/collision-model.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-model.obj `if test -f '$(MAINSRCDIR)/lib/graphics/importer/model.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/importer/model.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/importer/model.cc'; fi`
-
-collision-objModel.o: $(MAINSRCDIR)/lib/graphics/importer/objModel.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT collision-objModel.o -MD -MP -MF "$(DEPDIR)/collision-objModel.Tpo" -c -o collision-objModel.o `test -f '$(MAINSRCDIR)/lib/graphics/importer/objModel.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/importer/objModel.cc; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/collision-objModel.Tpo" "$(DEPDIR)/collision-objModel.Po"; else rm -f "$(DEPDIR)/collision-objModel.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/importer/objModel.cc' object='collision-objModel.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/collision-objModel.Po' tmpdepfile='$(DEPDIR)/collision-objModel.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-objModel.o `test -f '$(MAINSRCDIR)/lib/graphics/importer/objModel.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/importer/objModel.cc
-
-collision-objModel.obj: $(MAINSRCDIR)/lib/graphics/importer/objModel.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT collision-objModel.obj -MD -MP -MF "$(DEPDIR)/collision-objModel.Tpo" -c -o collision-objModel.obj `if test -f '$(MAINSRCDIR)/lib/graphics/importer/objModel.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/importer/objModel.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/importer/objModel.cc'; fi`; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/collision-objModel.Tpo" "$(DEPDIR)/collision-objModel.Po"; else rm -f "$(DEPDIR)/collision-objModel.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/importer/objModel.cc' object='collision-objModel.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/collision-objModel.Po' tmpdepfile='$(DEPDIR)/collision-objModel.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-objModel.obj `if test -f '$(MAINSRCDIR)/lib/graphics/importer/objModel.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/importer/objModel.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/importer/objModel.cc'; fi`
-
-collision-primitive_model.o: $(MAINSRCDIR)/lib/graphics/importer/primitive_model.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT collision-primitive_model.o -MD -MP -MF "$(DEPDIR)/collision-primitive_model.Tpo" -c -o collision-primitive_model.o `test -f '$(MAINSRCDIR)/lib/graphics/importer/primitive_model.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/importer/primitive_model.cc; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/collision-primitive_model.Tpo" "$(DEPDIR)/collision-primitive_model.Po"; else rm -f "$(DEPDIR)/collision-primitive_model.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/importer/primitive_model.cc' object='collision-primitive_model.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/collision-primitive_model.Po' tmpdepfile='$(DEPDIR)/collision-primitive_model.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-primitive_model.o `test -f '$(MAINSRCDIR)/lib/graphics/importer/primitive_model.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/importer/primitive_model.cc
-
-collision-primitive_model.obj: $(MAINSRCDIR)/lib/graphics/importer/primitive_model.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT collision-primitive_model.obj -MD -MP -MF "$(DEPDIR)/collision-primitive_model.Tpo" -c -o collision-primitive_model.obj `if test -f '$(MAINSRCDIR)/lib/graphics/importer/primitive_model.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/importer/primitive_model.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/importer/primitive_model.cc'; fi`; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/collision-primitive_model.Tpo" "$(DEPDIR)/collision-primitive_model.Po"; else rm -f "$(DEPDIR)/collision-primitive_model.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/importer/primitive_model.cc' object='collision-primitive_model.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/collision-primitive_model.Po' tmpdepfile='$(DEPDIR)/collision-primitive_model.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-primitive_model.obj `if test -f '$(MAINSRCDIR)/lib/graphics/importer/primitive_model.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/importer/primitive_model.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/importer/primitive_model.cc'; fi`
-
-collision-array.o: $(MAINSRCDIR)/lib/graphics/importer/array.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT collision-array.o -MD -MP -MF "$(DEPDIR)/collision-array.Tpo" -c -o collision-array.o `test -f '$(MAINSRCDIR)/lib/graphics/importer/array.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/importer/array.cc; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/collision-array.Tpo" "$(DEPDIR)/collision-array.Po"; else rm -f "$(DEPDIR)/collision-array.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/importer/array.cc' object='collision-array.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/collision-array.Po' tmpdepfile='$(DEPDIR)/collision-array.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-array.o `test -f '$(MAINSRCDIR)/lib/graphics/importer/array.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/importer/array.cc
-
-collision-array.obj: $(MAINSRCDIR)/lib/graphics/importer/array.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT collision-array.obj -MD -MP -MF "$(DEPDIR)/collision-array.Tpo" -c -o collision-array.obj `if test -f '$(MAINSRCDIR)/lib/graphics/importer/array.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/importer/array.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/importer/array.cc'; fi`; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/collision-array.Tpo" "$(DEPDIR)/collision-array.Po"; else rm -f "$(DEPDIR)/collision-array.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/importer/array.cc' object='collision-array.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/collision-array.Po' tmpdepfile='$(DEPDIR)/collision-array.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-array.obj `if test -f '$(MAINSRCDIR)/lib/graphics/importer/array.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/importer/array.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/importer/array.cc'; fi`
-
-collision-material.o: $(MAINSRCDIR)/lib/graphics/importer/material.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT collision-material.o -MD -MP -MF "$(DEPDIR)/collision-material.Tpo" -c -o collision-material.o `test -f '$(MAINSRCDIR)/lib/graphics/importer/material.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/importer/material.cc; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/collision-material.Tpo" "$(DEPDIR)/collision-material.Po"; else rm -f "$(DEPDIR)/collision-material.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/importer/material.cc' object='collision-material.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/collision-material.Po' tmpdepfile='$(DEPDIR)/collision-material.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-material.o `test -f '$(MAINSRCDIR)/lib/graphics/importer/material.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/importer/material.cc
-
-collision-material.obj: $(MAINSRCDIR)/lib/graphics/importer/material.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT collision-material.obj -MD -MP -MF "$(DEPDIR)/collision-material.Tpo" -c -o collision-material.obj `if test -f '$(MAINSRCDIR)/lib/graphics/importer/material.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/importer/material.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/importer/material.cc'; fi`; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/collision-material.Tpo" "$(DEPDIR)/collision-material.Po"; else rm -f "$(DEPDIR)/collision-material.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/importer/material.cc' object='collision-material.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/collision-material.Po' tmpdepfile='$(DEPDIR)/collision-material.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-material.obj `if test -f '$(MAINSRCDIR)/lib/graphics/importer/material.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/importer/material.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/importer/material.cc'; fi`
-
-collision-texture.o: $(MAINSRCDIR)/lib/graphics/importer/texture.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT collision-texture.o -MD -MP -MF "$(DEPDIR)/collision-texture.Tpo" -c -o collision-texture.o `test -f '$(MAINSRCDIR)/lib/graphics/importer/texture.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/importer/texture.cc; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/collision-texture.Tpo" "$(DEPDIR)/collision-texture.Po"; else rm -f "$(DEPDIR)/collision-texture.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/importer/texture.cc' object='collision-texture.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/collision-texture.Po' tmpdepfile='$(DEPDIR)/collision-texture.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-texture.o `test -f '$(MAINSRCDIR)/lib/graphics/importer/texture.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/importer/texture.cc
-
-collision-texture.obj: $(MAINSRCDIR)/lib/graphics/importer/texture.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT collision-texture.obj -MD -MP -MF "$(DEPDIR)/collision-texture.Tpo" -c -o collision-texture.obj `if test -f '$(MAINSRCDIR)/lib/graphics/importer/texture.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/importer/texture.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/importer/texture.cc'; fi`; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/collision-texture.Tpo" "$(DEPDIR)/collision-texture.Po"; else rm -f "$(DEPDIR)/collision-texture.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/importer/texture.cc' object='collision-texture.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/collision-texture.Po' tmpdepfile='$(DEPDIR)/collision-texture.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-texture.obj `if test -f '$(MAINSRCDIR)/lib/graphics/importer/texture.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/importer/texture.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/importer/texture.cc'; fi`
-
-collision-md2Model.o: $(MAINSRCDIR)/lib/graphics/importer/md2Model.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT collision-md2Model.o -MD -MP -MF "$(DEPDIR)/collision-md2Model.Tpo" -c -o collision-md2Model.o `test -f '$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/collision-md2Model.Tpo" "$(DEPDIR)/collision-md2Model.Po"; else rm -f "$(DEPDIR)/collision-md2Model.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc' object='collision-md2Model.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/collision-md2Model.Po' tmpdepfile='$(DEPDIR)/collision-md2Model.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-md2Model.o `test -f '$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc
-
-collision-md2Model.obj: $(MAINSRCDIR)/lib/graphics/importer/md2Model.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT collision-md2Model.obj -MD -MP -MF "$(DEPDIR)/collision-md2Model.Tpo" -c -o collision-md2Model.obj `if test -f '$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc'; fi`; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/collision-md2Model.Tpo" "$(DEPDIR)/collision-md2Model.Po"; else rm -f "$(DEPDIR)/collision-md2Model.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc' object='collision-md2Model.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/collision-md2Model.Po' tmpdepfile='$(DEPDIR)/collision-md2Model.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-md2Model.obj `if test -f '$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc'; fi`
 
 collision-graphics_engine.o: $(MAINSRCDIR)/lib/graphics/graphics_engine.cc