Index: orxonox/trunk/src/util/track/track_manager.cc
===================================================================
--- orxonox/trunk/src/util/track/track_manager.cc	(revision 4568)
+++ orxonox/trunk/src/util/track/track_manager.cc	(revision 4584)
@@ -1,3 +1,3 @@
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -56,5 +56,4 @@
   this->childCount = 0;
   this->children = NULL;
-  this->name = NULL;
 
   this->history = NULL;
@@ -64,5 +63,5 @@
 }
 
-/** 
+/**
     \brief destroys all alocated memory)
     \todo eventually when deleting a TrackElement you would not like to delete all its preceding TrackElements
@@ -70,11 +69,9 @@
 TrackElement::~TrackElement(void)
 {
-  // deleting the Name
-  delete []name;
   // deleting the Curve
   delete this->curve;
 
   // deleting all the Children of this TrackNode.
-  if ((!this->isJoined &&this->childCount > 0) 
+  if ((!this->isJoined &&this->childCount > 0)
       || (this->isJoined && this->mainJoin)) // only if this is the MainJoin.
     {
@@ -82,8 +79,8 @@
       TrackElement* enumElem = iterator->nextElement();
       while (enumElem)
-	{
-	  delete enumElem;
-	  enumElem = iterator->nextElement();
-	}
+        {
+          delete enumElem;
+          enumElem = iterator->nextElement();
+        }
       delete iterator;
       delete this->children;
@@ -108,9 +105,9 @@
       TrackElement* tmpElem;
       while (enumElem)
-	{
-	  if ((tmpElem = enumElem->findByID(trackID)))
-	    return tmpElem;
-	  enumElem = iterator->nextElement();
-	}
+        {
+          if ((tmpElem = enumElem->findByID(trackID)))
+            return tmpElem;
+          enumElem = iterator->nextElement();
+        }
       delete iterator;
     }
@@ -128,5 +125,5 @@
 {
   // return if Found.
-  if (this->name && !strcmp(this->name, trackName))
+  if (this->getName() && !strcmp(this->getName(), trackName))
     return this;
   // search all children
@@ -137,9 +134,9 @@
       TrackElement* tmpElem;
       while (enumElem)
-	{
-	  if ((tmpElem = enumElem->findByName(trackName)))
-	    return tmpElem;
-	  enumElem = iterator->nextElement();
-	}
+        {
+          if ((tmpElem = enumElem->findByName(trackName)))
+            return tmpElem;
+          enumElem = iterator->nextElement();
+        }
       delete iterator;
     }
@@ -156,7 +153,7 @@
 {
   tList<const TrackElement>* trackList = new tList<const TrackElement>;
-  
+
   this->backLoopCheckAtomic(trackList);
-  
+
   delete trackList;
   // only returns if everything worked out
@@ -182,8 +179,8 @@
       TrackElement* enumElem = iterator->nextElement();
       while (enumElem)
-	{
-	  if (!enumElem->backLoopCheckAtomic(trackList))
-	    return false;
-	}
+        {
+          if (!enumElem->backLoopCheckAtomic(trackList))
+            return false;
+        }
       delete iterator;
     }
@@ -194,5 +191,5 @@
 /**
    \param childCount which child to return
-   \returns the n-the children (starting at 0). 
+   \returns the n-the children (starting at 0).
    Be aware, that when the trackElement has no Children, NULL will be returned
 */
@@ -205,5 +202,5 @@
   if (childCount > this->childCount)
     childCount = this->childCount;
-  
+
   tIterator<TrackElement>* iterator = this->children->getIterator();
   TrackElement* enumElem = iterator->nextElement();
@@ -212,22 +209,4 @@
   delete iterator;
   return enumElem;
-}
-
-/**
-   \param name the Name to set.
-*/
-void TrackElement::setName(const char* name)
-{
-  //  delete the old name
-  if (this->name)
-    delete []this->name;
-  // if a name was given.
-  if (name)
-    {
-      this->name = new char[strlen(name)+1];
-      strcpy(this->name, name);
-    }
-  else 
-    this->name = NULL;
 }
 
@@ -255,12 +234,12 @@
       TrackElement* enumElem = iterator->nextElement();
       while (enumElem)
-	{
-	  PRINT(0)("=%d= ", enumElem->ID);
-	  enumElem = iterator->nextElement();
-	}
+        {
+          PRINT(0)("=%d= ", enumElem->ID);
+          enumElem = iterator->nextElement();
+        }
       delete iterator;
       PRINT(0)("\n");
     }
-  
+
   if(this->isHotPoint)
     PRINT(0)("   is a special Point:\n");
@@ -273,5 +252,5 @@
   if(this->isJoined)
     PRINT(0)("   is Joined at the End\n");
-  
+
   if(!this->backLoopCheck()) /* this should not happen */
     PRINT(2)(" THERE IS A BACKLOOP TO THIS ELEMENT\n");
@@ -294,5 +273,5 @@
 */
 int TrackElement::highest(const void* nothing) const
-{ 
+{
   return this->childCount-1;
 }
@@ -308,5 +287,5 @@
   if (i >= this->childCount)
     return this->childCount-1;
-  else 
+  else
     return i;
 }
@@ -324,5 +303,5 @@
   if (tmpNode->getRelCoor().z < 0)
     return 0;
-  else 
+  else
     return 1;
 }
@@ -355,8 +334,8 @@
       float dist = (nodeRelCoord - enumElem->curve->getNode(4)).len();
       if (dist < minDist)
-	{
-	  minDist = dist;
-	  childNumber = i;
-	}
+        {
+          minDist = dist;
+          childNumber = i;
+        }
       i++;
       enumElem = iterator->nextElement();
@@ -379,5 +358,5 @@
 {
   this->setClassID(CL_TRACK_MANAGER, "TrackManager");
-  
+
   TrackManager::singletonRef = this; // do this because otherwise the TrackNode cannot get The instance of the TrackManager
 
@@ -417,53 +396,53 @@
   TiXmlNode* container;
   double x, y, z, d;
-	
+
   element = root->FirstChildElement();
   while( element != NULL)
     {
       LoadParam<TrackManager>(element, "WorkOn", this, &TrackManager::workOnS, true)
-	.describe("Selects a TrackElement (by name) to work on");
+        .describe("Selects a TrackElement (by name) to work on");
 
       LoadParam<TrackManager>(element, "Point", this, &TrackManager::addPoint, true)
-	.describe("Adds a new Point to the currently selected TrackElement");
+        .describe("Adds a new Point to the currently selected TrackElement");
 
       LoadParam<TrackManager>(element, "Duration", this, &TrackManager::setDuration, true)
-	.describe("Sets the Duration of the currently selected TrackElement");
+        .describe("Sets the Duration of the currently selected TrackElement");
 
       LoadParam<TrackManager>(element, "HotPoint", this, &TrackManager::addHotPoint, true)
-	.describe("Sets a new Point that acts as a hot point. meaning, the curve will flow through this Point");
-      
+        .describe("Sets a new Point that acts as a hot point. meaning, the curve will flow through this Point");
+
       LoadParam<TrackManager>(element, "SavePoint", this, &TrackManager::setSavePointS, true)
-	.describe("Sets the current selected Point to a Savepoint, meaning that the curve will be ended and a new one starts, and that one starts again from this point on");
+        .describe("Sets the current selected Point to a Savepoint, meaning that the curve will be ended and a new one starts, and that one starts again from this point on");
 
       LoadParam<TrackManager>(element, "Fork", this, &TrackManager::forkS, true)
-	.describe("Forks the Path into multiple forked Path names seperated by ','");
+        .describe("Forks the Path into multiple forked Path names seperated by ','");
 
       LoadParam<TrackManager>(element, "Join", this, &TrackManager::joinS, true)
-	.describe("Joins multiple joining Path names seperated by ','");
+        .describe("Joins multiple joining Path names seperated by ','");
 
       /*
-	if( !strcmp( element->Value(), "Fork"))
-	{
-	container = element->FirstChild();
-	if( container->ToText())
-	{
-	assert( container->Value() != NULL);
-	PRINTF(4)("Loaded Fork: %s\n", container->Value());
-	forkS(container->Value());
-	}
-	}
+        if( !strcmp( element->Value(), "Fork"))
+        {
+        container = element->FirstChild();
+        if( container->ToText())
+        {
+        assert( container->Value() != NULL);
+        PRINTF(4)("Loaded Fork: %s\n", container->Value());
+        forkS(container->Value());
+        }
+        }
       */
       /*
-	if( !strcmp( element->Value(), "Join"))
-	{
-	container = element->FirstChild();
-	if( container->ToText())
-	{
-	assert( container->Value() != NULL);
-	PRINTF0("Loaded Join: %s\n", container->Value());
-	joinS(container->Value());
-	}
-	}
-      */	
+        if( !strcmp( element->Value(), "Join"))
+        {
+        container = element->FirstChild();
+        if( container->ToText())
+        {
+        assert( container->Value() != NULL);
+        PRINTF0("Loaded Join: %s\n", container->Value());
+        joinS(container->Value());
+        }
+        }
+      */
       element = element->NextSiblingElement();
     }
@@ -514,5 +493,5 @@
       // adds the conection Point
       this->addPointV(trackElem->curve->getNode(trackElem->curve->getNodeCount()),
-		     newElem);
+                     newElem);
       // add the new child to the childList.
       trackElem->children->add(newElem);
@@ -525,7 +504,7 @@
       for (int i = 0; i < trackElem->childCount; i++)
       {
-	char* childName = new char[strlen(trackElem->getName())+10];
-	sprintf(childName, "%s_child%d", trackElem->getName(), i);
-	trackElem->getChild(i)->setName(childName);
+        char* childName = new char[strlen(trackElem->getName())+10];
+        sprintf(childName, "%s_child%d", trackElem->getName(), i);
+        trackElem->getChild(i)->setName(childName);
       }
     }
@@ -727,5 +706,5 @@
       *va_arg (ID, int*) = trackIDs[i];
     }
-  va_end(ID);  
+  va_end(ID);
   delete []trackIDs;
 }
@@ -748,5 +727,5 @@
       this->firstTrackElem->findByID(trackIDs[i])->setName(va_arg(name, const char*));
     }
-  va_end(name);  
+  va_end(name);
   delete []trackIDs;
 }
@@ -765,5 +744,5 @@
     {
       this->firstTrackElem->findByID(trackIDs[i])->setName(strings.getString(i));
-    } 
+    }
   delete []trackIDs;
 }
@@ -773,5 +752,5 @@
    \param count The Count of childrens the current HotPoint will have.
    \param trackIDs A Pointer to an Array of ints which will hold the trackID's (the user will have to reserve space for this).
-   \param trackNames the names for the tracks as a char-arrey-array 
+   \param trackNames the names for the tracks as a char-arrey-array
    \param trackElem The TrackElement to appy this to. (if NULL choose this->currentTrackElement)
    \see TrackManager::fork(unsigned int count, ...)
@@ -822,23 +801,23 @@
     {
       switch (cond)
-	{
-	case LOWEST:
-	  trackElem->condFunc = &TrackElement::lowest;
-	  break;
-	case HIGHEST:
-	  trackElem->condFunc = &TrackElement::highest;
-	  break;
-	case RANDOM: 
-	  trackElem->condFunc = &TrackElement::random;
-	  break;
-	case LEFTRIGHT:
-	  trackElem->condFunc = &TrackElement::leftRight;
-	  break;
-	case NEAREST:
-	  trackElem->condFunc = &TrackElement::nearest;
-	  break;
-	case ENEMYKILLED:
-	  break;
-	}
+        {
+        case LOWEST:
+          trackElem->condFunc = &TrackElement::lowest;
+          break;
+        case HIGHEST:
+          trackElem->condFunc = &TrackElement::highest;
+          break;
+        case RANDOM:
+          trackElem->condFunc = &TrackElement::random;
+          break;
+        case LEFTRIGHT:
+          trackElem->condFunc = &TrackElement::leftRight;
+          break;
+        case NEAREST:
+          trackElem->condFunc = &TrackElement::nearest;
+          break;
+        case ENEMYKILLED:
+          break;
+        }
       trackElem->subject=subject;
     }
@@ -846,5 +825,5 @@
 
 /**
-   \brief joins some tracks together again. 
+   \brief joins some tracks together again.
    \param count The count of Paths to join.
 
@@ -884,7 +863,7 @@
       TrackElement* tmpElem = this->firstTrackElem->findByName(name);
       if (tmpElem)
-	trackIDs[i] = tmpElem->ID;
+        trackIDs[i] = tmpElem->ID;
       else
-	PRINTF(1)("Trying to join a Track, of which the name does not exist: %s\n", name);
+        PRINTF(1)("Trying to join a Track, of which the name does not exist: %s\n", name);
     }
   va_end(NAME);
@@ -907,7 +886,7 @@
       TrackElement* tmpElem = this->firstTrackElem->findByName(strings.getString(i));
       if (tmpElem)
-	trackIDs[i] = tmpElem->ID;
+        trackIDs[i] = tmpElem->ID;
       else
-	PRINTF(1)("Trying to join a Track, of which the name does not exist: %s\n", strings.getString(i));
+        PRINTF(1)("Trying to join a Track, of which the name does not exist: %s\n", strings.getString(i));
     }
 
@@ -917,5 +896,5 @@
 
 /**
-   \brief joins some tracks together again. 
+   \brief joins some tracks together again.
    \param count The count of Paths to join.
    \param trackIDs an Array with the trackID's to join
@@ -930,8 +909,8 @@
     if (!this->firstTrackElem->findByID(trackIDs[i]))
       {
-	PRINTF(1)("Trying to Connect Paths that do not exist yet: %d\n Not Joining Anything\n", trackIDs[i]);
-	return;
+        PRINTF(1)("Trying to Connect Paths that do not exist yet: %d\n Not Joining Anything\n", trackIDs[i]);
+        return;
       }
-		  
+
 
   PRINTF(3)("Joining %d tracks and merging to Track %d\n", count, trackIDs[0]);
@@ -959,37 +938,37 @@
     {
       if(tmpJoinElem = this->firstTrackElem->findByID(trackIDs[i]))
-	{
-	  if (tmpJoinElem->childCount == 0
-	      && tmpJoinElem->endTime > tmpLatestTime)
-	    tmpLatestTime = tmpJoinElem->endTime;
-	}
+        {
+          if (tmpJoinElem->childCount == 0
+              && tmpJoinElem->endTime > tmpLatestTime)
+            tmpLatestTime = tmpJoinElem->endTime;
+        }
     }
   // time the main Join.
   firstJoint->jumpTime = tmpLatestTime - firstJoint->endTime;
-  
+
   // Joining:
   for (int i = 1; i < count; i++)
     {
       if( tmpJoinElem = this->firstTrackElem->findByID(trackIDs[i]))
-	{
-	  if (tmpJoinElem->childCount > 0)
-	    printf("!!This Curve has children, and as such will not be joined!!\n You can try joining other childless TrackElements to this one!");
-	  else
-	    {
-	      this->addPointV(tmpc2Point, tmpJoinElem);
-	      this->addPointV(tmpTangentPoint, tmpJoinElem);
-	      this->addPointV(tmpEndPoint, tmpJoinElem);
-	      // time all other Joins
-	      tmpJoinElem->jumpTime = tmpLatestTime - tmpJoinElem->endTime;
-	      
-	      //Copying Joint-Info
-	      tmpJoinElem->children = firstJoint->children;
-	      tmpJoinElem->childCount = firstJoint->childCount;
-	      tmpJoinElem->isSavePoint = firstJoint->isSavePoint;
-	      tmpJoinElem->isFork = firstJoint->isFork;
-	      
-	      tmpJoinElem->isJoined = true;
-	    }
-	}
+        {
+          if (tmpJoinElem->childCount > 0)
+            printf("!!This Curve has children, and as such will not be joined!!\n You can try joining other childless TrackElements to this one!");
+          else
+            {
+              this->addPointV(tmpc2Point, tmpJoinElem);
+              this->addPointV(tmpTangentPoint, tmpJoinElem);
+              this->addPointV(tmpEndPoint, tmpJoinElem);
+              // time all other Joins
+              tmpJoinElem->jumpTime = tmpLatestTime - tmpJoinElem->endTime;
+
+              //Copying Joint-Info
+              tmpJoinElem->children = firstJoint->children;
+              tmpJoinElem->childCount = firstJoint->childCount;
+              tmpJoinElem->isSavePoint = firstJoint->isSavePoint;
+              tmpJoinElem->isFork = firstJoint->isFork;
+
+              tmpJoinElem->isJoined = true;
+            }
+        }
     }
   if(firstJoint->children)
@@ -999,11 +978,11 @@
       TrackElement* enumElem = iterator->nextElement();
       while (enumElem)
-	{
-	  PRINTF(5)("Setting startingTime of %d to %f.\n", enumElem->ID, tmpLatestTime);
-	  enumElem->startingTime = tmpLatestTime;
-	  enumElem->endTime = tmpLatestTime + enumElem->duration;
-	  
-	  enumElem = iterator->nextElement();
-	}
+        {
+          PRINTF(5)("Setting startingTime of %d to %f.\n", enumElem->ID, tmpLatestTime);
+          enumElem->startingTime = tmpLatestTime;
+          enumElem->endTime = tmpLatestTime + enumElem->duration;
+
+          enumElem = iterator->nextElement();
+        }
       delete iterator;
     }
@@ -1021,32 +1000,32 @@
       TrackElement* tmpElem = this->firstTrackElem->findByID(i);
       if( tmpElem->childCount > 0 && tmpElem->mainJoin)
-	{
-	  tIterator<TrackElement>* iterator = tmpElem->children->getIterator();
-	  TrackElement* enumElem = iterator->nextElement();
-	  //TrackElement* enumElem = tmpElem->children->enumerate();
-	  while (enumElem)
-	    {
-	      
-	      // c1-continuity
-	      enumElem->curve->addNode(enumElem->curve->getNode(0) +
-						   ((enumElem->curve->getNode(0) - 
-						    tmpElem->curve->getNode(tmpElem->curve->getNodeCount()-1))
-						    ),2);
-	      enumElem->nodeCount++;
-	      // c2-continuity
-	      enumElem->curve->addNode((tmpElem->curve->getNode(tmpElem->curve->getNodeCount())-
-						    tmpElem->curve->getNode(tmpElem->curve->getNodeCount()-1)) * 4 +
-						   tmpElem->curve->getNode(tmpElem->curve->getNodeCount()-2), 3);
-	      enumElem->nodeCount++;						    
-	      PRINTF(5)("accelerations: %d-in: count: %d, %f, %f, %f\n                  %d-out: count: %d %f, %f, %f\n",
-		     tmpElem->ID, tmpElem->nodeCount,
-		     tmpElem->curve->calcAcc(0.999).x, tmpElem->curve->calcAcc(0.999).y, tmpElem->curve->calcAcc(0.999).z,
-		     enumElem->ID, enumElem->nodeCount,
-		     enumElem->curve->calcAcc(0).x, enumElem->curve->calcAcc(0).y, enumElem->curve->calcAcc(0).z);
-	      
-	      enumElem = iterator->nextElement();
-	    }
-	  delete iterator;
-	}
+        {
+          tIterator<TrackElement>* iterator = tmpElem->children->getIterator();
+          TrackElement* enumElem = iterator->nextElement();
+          //TrackElement* enumElem = tmpElem->children->enumerate();
+          while (enumElem)
+            {
+
+              // c1-continuity
+              enumElem->curve->addNode(enumElem->curve->getNode(0) +
+                                                   ((enumElem->curve->getNode(0) -
+                                                    tmpElem->curve->getNode(tmpElem->curve->getNodeCount()-1))
+                                                    ),2);
+              enumElem->nodeCount++;
+              // c2-continuity
+              enumElem->curve->addNode((tmpElem->curve->getNode(tmpElem->curve->getNodeCount())-
+                                                    tmpElem->curve->getNode(tmpElem->curve->getNodeCount()-1)) * 4 +
+                                                   tmpElem->curve->getNode(tmpElem->curve->getNodeCount()-2), 3);
+              enumElem->nodeCount++;
+              PRINTF(5)("accelerations: %d-in: count: %d, %f, %f, %f\n                  %d-out: count: %d %f, %f, %f\n",
+                     tmpElem->ID, tmpElem->nodeCount,
+                     tmpElem->curve->calcAcc(0.999).x, tmpElem->curve->calcAcc(0.999).y, tmpElem->curve->calcAcc(0.999).z,
+                     enumElem->ID, enumElem->nodeCount,
+                     enumElem->curve->calcAcc(0).x, enumElem->curve->calcAcc(0).y, enumElem->curve->calcAcc(0).z);
+
+              enumElem = iterator->nextElement();
+            }
+          delete iterator;
+        }
     }
   for (int i = 1; i <= trackElemCount;i++)
@@ -1102,5 +1081,5 @@
     {
       if (this->currentTrackElem->jumpTime != 0.0)
-	this->jumpTo(this->localTime + this->currentTrackElem->jumpTime);
+        this->jumpTo(this->localTime + this->currentTrackElem->jumpTime);
       // jump to the next TrackElement and also set the history of the new Element to the old one.
       TrackElement* tmpHistoryElem = this->currentTrackElem;
@@ -1108,13 +1087,13 @@
       this->currentTrackElem->history = tmpHistoryElem;
       if (this->currentTrackElem->getName())
-	{
-	  this->trackText->setText(this->currentTrackElem->getName());
-	  this->textAnimation->replay();
-	}
+        {
+          this->trackText->setText(this->currentTrackElem->getName());
+          this->textAnimation->replay();
+        }
     }
   if (this->bindSlave)
     {
       Vector tmp = this->calcPos();
-      Quaternion quat = Quaternion(this->calcDir(), Vector(this->currentTrackElem->curve->calcAcc((localTime-this->currentTrackElem->startingTime)/this->currentTrackElem->duration).x,1,this->currentTrackElem->curve->calcAcc((localTime-this->currentTrackElem->startingTime)/this->currentTrackElem->duration).z)); 
+      Quaternion quat = Quaternion(this->calcDir(), Vector(this->currentTrackElem->curve->calcAcc((localTime-this->currentTrackElem->startingTime)/this->currentTrackElem->duration).x,1,this->currentTrackElem->curve->calcAcc((localTime-this->currentTrackElem->startingTime)/this->currentTrackElem->duration).z));
 
       Vector v(0.0, 1.0, 0.0);
@@ -1140,8 +1119,8 @@
       this->currentTrackElem = this->firstTrackElem;
       if (this->currentTrackElem->getName())
-	{
-	  this->trackText->setText(this->currentTrackElem->getName());
-	  this->textAnimation->play();
-	}
+        {
+          this->trackText->setText(this->currentTrackElem->getName());
+          this->textAnimation->play();
+        }
     }
   this->localTime = time;
@@ -1151,5 +1130,5 @@
    \brief a Function that decides which Path we should follow.
    \param trackElem The Path to choose.
-   
+
 */
 int TrackManager::choosePath(TrackElement* trackElem)
@@ -1191,10 +1170,10 @@
       TrackElement* tmpElem = this->firstTrackElem->findByID(i);
       if (tmpElem->curve)
-	for(float f = 0.0; f < 1.0; f+=dt)
-	  {
-	    //      printf("%f, %f, %f\n",trackManager->calcPos().x, trackManager->calcPos().y, trackManager->calcPos().z);
-	    Vector tmpVector = tmpElem->curve->calcPos(f);
-	    glVertex3f(tmpVector.x, tmpVector.y, tmpVector.z);
-	  }
+        for(float f = 0.0; f < 1.0; f+=dt)
+          {
+            //      printf("%f, %f, %f\n",trackManager->calcPos().x, trackManager->calcPos().y, trackManager->calcPos().z);
+            Vector tmpVector = tmpElem->curve->calcPos(f);
+            glVertex3f(tmpVector.x, tmpVector.y, tmpVector.z);
+          }
       glEnd();
     }
@@ -1216,8 +1195,8 @@
     {
       for (int i = 1; i <= trackElemCount; i++)
-	{
-	  TrackElement* tmpElem = this->firstTrackElem->findByID(i);
-	  tmpElem->debug();
-	}
+        {
+          TrackElement* tmpElem = this->firstTrackElem->findByID(i);
+          tmpElem->debug();
+        }
     }
   PRINT(0)("-----------------------------------------\n");
Index: orxonox/trunk/src/util/track/track_manager.h
===================================================================
--- orxonox/trunk/src/util/track/track_manager.h	(revision 4568)
+++ orxonox/trunk/src/util/track/track_manager.h	(revision 4584)
@@ -1,3 +1,3 @@
-/*! 
+/*!
     \file track_manager.h
     \brief manages all tracks defined in the world and the path the player takes
@@ -40,5 +40,5 @@
    It is a graph and not a tree, because paths can fork and join again.
 */
-class TrackElement
+class TrackElement : public BaseObject
 {
  public:
@@ -51,7 +51,4 @@
 
   TrackElement* getChild(int childNumber) const;
-  void setName(const char* name);
-  /** \returns the Name of this TrackElement */
-  inline const char* getName(void) const { return this->name; };
 
  private:
@@ -95,7 +92,4 @@
   // todo  int enemyKilled(void* entity);
 
- private:
-  char* name;                //!< A name for the Trac.
- 
 };
 
@@ -128,8 +122,8 @@
     \li tick(): makes a Step on the Path. increases localTime by dt.
     \li choosePath(): a Function that decides which Path we should follow.
-   
+
    TrackManager can be handled as a StateMachine.
    \n\n
-    Names: 
+    Names:
     \li TrackManager: handles Tracks
     \li Track:        The Track that the ship can follow