Index: orxonox/trunk/src/lib/collision_detection/obb_tree.cc
===================================================================
--- orxonox/trunk/src/lib/collision_detection/obb_tree.cc	(revision 4585)
+++ orxonox/trunk/src/lib/collision_detection/obb_tree.cc	(revision 4586)
@@ -97,5 +97,5 @@
   /* generate some test vertices */
   sVec3D* vertList = new sVec3D[3];
-  sVec3D data[]  = {{0.0, 0.0, 0.0},{10.0, -5.0, 0.0},{10.0, 5.0, 0.0}};
+  sVec3D data[]  = {{0.0, 0.0, 0.0},{10.0, -5.0, 5.0},{10.0, 5.0, 0.0}};
 
   for(int i = 0; i < 3; ++i)
Index: orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc
===================================================================
--- orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 4585)
+++ orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 4586)
@@ -205,10 +205,9 @@
   box->axis = axis;
   
-  printf("eigenvector: %f, %f, %f\n", V(1, 1), V(2, 1), V(3, 1));
-  printf("eigenvector: %f, %f, %f\n", V(1, 2), V(2, 2), V(3, 2));
-  printf("eigenvector: %f, %f, %f\n", V(1, 3), V(2, 3), V(3, 3));
-
-  box->axis = axis;
-
+  printf("eigenvector: %f, %f, %f\n", box->axis[0]->x, box->axis[0]->y, box->axis[0]->z);
+  printf("eigenvector: %f, %f, %f\n", box->axis[1]->x, box->axis[1]->y, box->axis[1]->z);
+  printf("eigenvector: %f, %f, %f\n", box->axis[2]->x, box->axis[2]->y, box->axis[2]->z);
+
+  
   /* now get the axis length */
   Line                ax[3];                                 //!< the axis
@@ -251,23 +250,11 @@
   }
 
-
-
-    
-//   for(int i = 0; i < 3; ++i)
-//   {
-//     halfLength[i] = 0.0f;
-//     for(int j = 0; j < length; ++j)
-//     {
-//       tmpLength = ax[i].distancePoint(vertices[j]);
-//       if( tmpLength > halfLength[i])
-//         halfLength[i] = tmpLength; 
-//     }
-//   }
-
   box->halfLength = halfLength;
+
+  
   
   printf("we got length: \n");
   for(int i = 0; i < 3; ++i)
-    printf("length[%i] = %f\n", i, halfLength[i]);
+    printf("length[%i] = %f\n", i, box->halfLength[i]);
 }
 
@@ -314,11 +301,20 @@
   glColor3f(0.0, 0.4, 0.3);
   glVertex3f(this->bvElement->center->x, this->bvElement->center->y, this->bvElement->center->z);
-  glVertex3f(this->bvElement->axis[0]->x * this->bvElement->halfLength[0], this->bvElement->axis[0]->y * this->bvElement->halfLength[0], this->bvElement->axis[0]->z * this->bvElement->halfLength[0]);
-
+  glVertex3f(this->bvElement->center->x + this->bvElement->axis[0]->x * this->bvElement->halfLength[0],
+             this->bvElement->center->y + this->bvElement->axis[0]->y * this->bvElement->halfLength[0],
+             this->bvElement->center->z + this->bvElement->axis[0]->z * this->bvElement->halfLength[0]);
+/*
+  printf("from center: %f, %f, %f\n", this->bvElement->center->x, this->bvElement->center->y, this->bvElement->center->z);
+  printf("to: %f, %f, %f\n\n", this->bvElement->axis[0]->x * this->bvElement->halfLength[0], this->bvElement->axis[0]->y * this->bvElement->halfLength[0], this->bvElement->axis[0]->z * this->bvElement->halfLength[0]);*/
+  
   glVertex3f(this->bvElement->center->x, this->bvElement->center->y, this->bvElement->center->z);
-  glVertex3f(this->bvElement->axis[1]->x * this->bvElement->halfLength[1], this->bvElement->axis[1]->y * this->bvElement->halfLength[1], this->bvElement->axis[1]->z * this->bvElement->halfLength[1]);
+  glVertex3f(this->bvElement->center->x + this->bvElement->axis[1]->x * this->bvElement->halfLength[1],
+             this->bvElement->center->y + this->bvElement->axis[1]->y * this->bvElement->halfLength[1],
+             this->bvElement->center->z + this->bvElement->axis[1]->z * this->bvElement->halfLength[1]);
 
   glVertex3f(this->bvElement->center->x, this->bvElement->center->y, this->bvElement->center->z);
-  glVertex3f(this->bvElement->axis[2]->x * this->bvElement->halfLength[2], this->bvElement->axis[2]->y * this->bvElement->halfLength[2], this->bvElement->axis[2]->z * this->bvElement->halfLength[2]);
+  glVertex3f(this->bvElement->center->x + this->bvElement->axis[2]->x * this->bvElement->halfLength[2],
+             this->bvElement->center->y + this->bvElement->axis[2]->y * this->bvElement->halfLength[2],
+             this->bvElement->center->z + this->bvElement->axis[2]->z * this->bvElement->halfLength[2]);
   
   glEnd();