Index: /data/trunk/levels/sp_cutscene_intro.oxw
===================================================================
--- /data/trunk/levels/sp_cutscene_intro.oxw	(revision 4586)
+++ /data/trunk/levels/sp_cutscene_intro.oxw	(revision 4587)
@@ -40,12 +40,11 @@
           <name>bomberOne</name>
           <model>models/spaceships/human_spaceship_bomber.obj,1.2</model>
-          <abs-coor>-460, 5, -70 </abs-coor>
-          <abs-dir> 0,0,1,0 </abs-dir>
-	  <drawTrack>1</drawTrack>
-          <Track>
-            <mode>1</mode>
-            <speed>0.3</speed>
-             <addPoint>-460,5,-70</addPoint>
-             <addPoint>1000,5,-70</addPoint>
+          <abs-dir> 0,0,1,0 </abs-dir>
+	  <drawTrack>1</drawTrack>
+          <Track>
+            <mode>1</mode>
+            <speed>0.3</speed>
+             <addPoint>-1110,10,-170</addPoint>
+             <addPoint>1000,10,-170</addPoint>
           </Track>
         </NPC>
@@ -54,12 +53,11 @@
           <name>fighterOne</name>
           <model>models/spaceships/human_spaceship_fighter.obj,0.5</model>
-          <abs-coor>-410, 5, -70 </abs-coor>
-          <abs-dir> 0,0,1,0 </abs-dir>
-	  <drawTrack>1</drawTrack>
-          <Track>
-            <mode>1</mode>
-            <speed>0.3</speed>
-             <addPoint>-410,5,-70</addPoint>
-             <addPoint>1000,5,-70</addPoint>
+          <abs-dir> 0,0,1,0 </abs-dir>
+	  <drawTrack>1</drawTrack>
+          <Track>
+            <mode>1</mode>
+            <speed>0.3</speed>
+             <addPoint>-1060,10,-170</addPoint>
+             <addPoint>1000,10,-170</addPoint>
           </Track>
         </NPC>
@@ -68,12 +66,11 @@
           <name>bomberTwo</name>
           <model>models/spaceships/human_spaceship_bomber.obj,1,2</model>
-          <abs-coor>-490, -5, -60 </abs-coor>
-          <abs-dir> 0,0,1,0 </abs-dir>
-	  <drawTrack>1</drawTrack>
-          <Track>
-            <mode>1</mode>
-            <speed>0.3</speed>
-             <addPoint>-490,-5,-60</addPoint>
-             <addPoint>1000,-5,-60</addPoint>
+          <abs-dir> 0,0,1,0 </abs-dir>
+	  <drawTrack>1</drawTrack>
+          <Track>
+            <mode>1</mode>
+            <speed>0.3</speed>
+             <addPoint>-1190,-5,-160</addPoint>
+             <addPoint>1000,-5,-160</addPoint>
           </Track>
         </NPC>
@@ -82,12 +79,11 @@
           <name>fighterTwo</name>
           <model>models/spaceships/human_spaceship_fighter.obj,0.5</model>
-          <abs-coor>-430, -5, -60 </abs-coor>
-          <abs-dir> 0,0,1,0 </abs-dir>
-	  <drawTrack>1</drawTrack>
-          <Track>
-            <mode>1</mode>
-            <speed>0.3</speed>
-             <addPoint>-430,-5,-60</addPoint>
-             <addPoint>1000,-5,-60</addPoint>
+          <abs-dir> 0,0,1,0 </abs-dir>
+	  <drawTrack>1</drawTrack>
+          <Track>
+            <mode>1</mode>
+            <speed>0.3</speed>
+             <addPoint>-1090,-5,-160</addPoint>
+             <addPoint>1000,-5,-160</addPoint>
           </Track>
         </NPC>
@@ -96,13 +92,15 @@
           <name>pirateOne</name>
           <model>models/spaceships/pirates_spaceship_fighter.obj,0.5</model>
-          <abs-coor>0, 0, -400 </abs-coor>
-          <abs-dir> 0,0,1,0 </abs-dir>
-	  <drawTrack>1</drawTrack>
-          <Track>
-            <mode>1</mode>
-            <speed>0.1</speed>
-             <addPoint>0,0,-400</addPoint>
-             <addPoint>0,0,100</addPoint>
-             <addPoint>0,0,500</addPoint>
+          <abs-dir> 0,0,1,0 </abs-dir>
+	  <drawTrack>1</drawTrack>
+          <Track>
+            <mode>1</mode>
+            <speed>0.2</speed>
+             <addPoint>10,-5,-2650</addPoint>
+             <addPoint>10,-5,100</addPoint>
+             <addPoint>10,0,150</addPoint>
+             <addPoint>10,0,200</addPoint>
+             <addPoint>100,20,500</addPoint>
+
           </Track>
         </NPC>
@@ -111,5 +109,5 @@
         <Planet>
 	    <name>Earth</name>
-	    <size>325</size>
+	    <size>250</size>
 	    <abs-coor>-75, 0, 400</abs-coor>
 	    <texture>textures/planets/mars.png</texture>
Index: /data/trunk/scripts/cutscene/cutscene.lua
===================================================================
--- /data/trunk/scripts/cutscene/cutscene.lua	(revision 4586)
+++ /data/trunk/scripts/cutscene/cutscene.lua	(revision 4587)
@@ -20,5 +20,5 @@
 triggerOne:setScript("cutscene.lua")
 triggerOne:setFunction("switchCamTargetToEarth")
-triggerOne:setAbsCoor(0 , 0 , -65)
+triggerOne:setAbsCoor(5 , 0 , -140)
 triggerOne:setTarget("CameraOne")
 triggerOne:setRadius(10)